> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ebury.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get funding account

> Get a pre-selected funding account for a client by currency or account ID. Exactly one of currency or account_id must be provided.




## OpenAPI

````yaml /openapi/ebury-spec.json get /funding-account
openapi: 3.0.0
info:
  description: |
    Ebury API allows customers:
      to retrieve accounts, balances, beneficiaries, and transactions;
      to get buy/sell estimates and quotes, book trades and retrieve trade history;
      to allocate payments to a trade and beneficiary, and to submit payments in bulk;
      to download documents such as trade receipt, payment instruction and payment receipt;
      to manage the authorised persons on their account.
    The Metadata API allows applications to clarify some parts of the Ebury API
      that are impractical to express schematically.
  termsOfService: https://docs.ebury.io/#terms-of-use
  title: Ebury API
  version: '0.1'
servers:
  - url: https://{environment}.ebury.io
    variables:
      environment:
        default: api
        enum:
          - api
          - sandbox
security:
  - api_key: []
paths:
  /funding-account:
    get:
      tags:
        - Accounts
      summary: Get funding account
      description: >
        Get a pre-selected funding account for a client by currency or account
        ID. Exactly one of currency or account_id must be provided.
      parameters:
        - description: The ID of the client
          in: query
          name: client_id
          required: true
          schema:
            type: string
        - description: Currency code (ISO 4217). Either currency or account_id required.
          in: query
          name: currency
          required: false
          schema:
            type: string
            minLength: 3
            maxLength: 3
            pattern: '[A-Z]{3}'
        - description: Account UUID. Either currency or account_id required.
          in: query
          name: account_id
          required: false
          schema:
            type: string
            minLength: 36
            maxLength: 36
        - name: Authorization
          in: header
          description: The access token
          required: true
          schema:
            type: string
        - description: The ID of the contact
          in: header
          name: X-Contact-ID
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Returns the funding account
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FundingAccountData'
        '400':
          description: >-
            Validation error - must provide exactly one of currency or
            account_id
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '401':
          description: Access denied due to authentication failure
        '404':
          description: No funding account found for the specified criteria
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '502':
          description: Internal integration error. Contact support
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
components:
  schemas:
    FundingAccountData:
      description: Funding account data with flat fields for Token IO integration
      properties:
        currency:
          description: The currency code (ISO 4217)
          type: string
          example: GBP
        holder:
          description: The account holder name
          type: string
          example: Ebury Partners UK
        holder_address:
          description: The account holder address
          type: string
          example: Level 3, 100 Victoria Street, London SW1E 5JL
        swift:
          description: The SWIFT/BIC code
          type: string
          example: BARCGB22
        iban:
          description: The International Bank Account Number
          type: string
          example: GB57BARC20060565878033
        account_number:
          description: The local bank account number
          type: string
          example: '65878033'
        bank_identifier:
          description: The bank identifier (e.g. Sort Code)
          type: string
          example: '200605'
        bank_identifier_type:
          description: The type of bank identifier
          type: string
          example: Sort Code
      type: object
    ErrorMessage:
      description: An error message.
      properties:
        code:
          type: string
          description: The code for the error.
        details:
          description: Error details
          type: string
        message:
          type: string
          description: A short description of the cause of the error.
      required:
        - code
        - message
        - details
      type: object
  securitySchemes:
    api_key:
      description: An API Key.
      in: header
      name: x-api-key
      type: apiKey

````